tagtraum industries: SIXBS - Simple XML Bean Serialization: Class ObjectIdentifier

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tagtraum.sixbs
Class ObjectIdentifier

    java.lang.Object
      |
      +--com.tagtraum.sixbs.ObjectIdentifier

public class ObjectIdentifier
extends Object

Provides unique IDs for Objects.

Version:
  $Id: ObjectIdentifier.java,v 1.2 2001/05/11 16:45:16 Hendrik Exp $
Author:
  Hendrik Schreiber

Field Summary
`static String` | `vcid` Source-Version

Constructor Summary
`ObjectIdentifier()`

Method Summary
`String` | `createId(Object obj)` Returns the ID for an object.
`String` | `getId(Object obj)` Tests whether a object is already registered and returns its id.
`Object` | `getObject(String id)` Returns an Object for an id.
`void` | `registerObject(String id, Object object)` Registers an object while de-serialization.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vcid

    public static String vcid

  Source-Version

Constructor Detail

### ObjectIdentifier

    public ObjectIdentifier()

Method Detail

### getId

    public String getId(Object obj)

  Tests whether a object is already registered and returns its id.

### getObject

    public Object getObject(String id)

  Returns an Object for an id.

### registerObject

    public void registerObject(String id,
                               Object object)

  Registers an object while de-serialization.

### createId

    public String createId(Object obj)

  Returns the ID for an object. If none exists, a new one is created. ids are hex coded.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 tagtraum industries.